Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.client.ant
Class DSPTask

    java.lang.Object
      Task
          com.bea.dsp.management.client.ant.DSPTask

    public final class DSPTask

extends Task

Simple JMX based ant task to take care of the basic dsp tasks.
Below is a table of all the action names along with the parameters that are expected. Connection parameters like adminurl, username and password is always expected.

Action Name | Expected Parameters
--- | ---
createDataSpace | dataspacename, targets (not used now), dataspacejar (optional), state (optional)
deleteDataSpace | dataspacename
upgradeDataSpace | dataspacename, dataspacejar, fullUpgrade
changeDataSpaceState | dataspacename, state
discardAllOwnedSessions | No Extra Requirements

State can hold the following three values - disabled, admin, client.

Exclude:

Constructor Summary
`DSPTask()`

Method Summary
`void` | `execute()`
`void` | `log(java.lang.String s)`
`void` | `log(java.lang.String s, int i)`
`static void` | `main(java.lang.String[] args)`
`void` | `setAction(java.lang.String action)`
`void` | `setAdminurl(java.lang.String adminurl)`
`void` | `setDataspacejar(java.lang.String dataspacejar)`
`void` | `setDataspacename(java.lang.String dataspacename)`
`void` | `setFailonerror(boolean failonerror)`
`void` | `setFullUpgrade(boolean fullUpgrade)`
`void` | `setPassword(java.lang.String password)`
`void` | `setState(java.lang.String state)` State of the server
`void` | `setTargets(java.lang.String targets)`
`void` | `setUsername(java.lang.String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSPTask

    public DSPTask()

Method Detail

### setAction

    public void setAction(java.lang.String action)

### setAdminurl

    public void setAdminurl(java.lang.String adminurl)

### setDataspacename

    public void setDataspacename(java.lang.String dataspacename)

### setUsername

    public void setUsername(java.lang.String username)

### setPassword

    public void setPassword(java.lang.String password)

### setDataspacejar

    public void setDataspacejar(java.lang.String dataspacejar)

### setFullUpgrade

    public void setFullUpgrade(boolean fullUpgrade)

### setTargets

    public void setTargets(java.lang.String targets)

### setFailonerror

    public void setFailonerror(boolean failonerror)

### setState

    public void setState(java.lang.String state)

  State of the server

  Parameters:
    `state` -

### execute

    public void execute()
                 throws BuildException

  Throws:
    `BuildException`

### log

    public void log(java.lang.String s,
                    int i)

### log

    public void log(java.lang.String s)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.